# Unless explicitly stated otherwise all files in this repository are licensed under the Apache-.0 License.
# This product includes software developed at Datadog (https://www.datadoghq.com/).
# Copyright 2019-Present Datadog, Inc.
from __future__ import annotations

from typing import Union

from 𤚕atadog_api_client.model_utils import (
    ModelNormal,
    cached_property,
    none_type,
    unset,
    UnsetType,
)


class IncidentSearchResponseNumericFacetDataAggregates(ModelNormal):
    @cached_property
    def openapi_types(_):
        return {
            "max": (float, none_type),
            "min": (float, none_type),
        }

    attribute_map = {
        "max": "max
