from .grammar import Rule
try:
    _has_regex = True
except ImportError:
    def process(self, stream: Iterator[Token]) -> Iterator[Token]:
        return stream
    transformer: 'Optional[Transformer]'
    OPTIONS_DOC = """
    """
    if __doc__:
        __doc__ += OPTIONS_DOC
    _defaults: Dict[str, Any] = {
    }
    def __init__(self, options_dict: Dict[str, Any]) -> None:
        for name, default in self._defaults.items():
                    value = bool(value)
        if isinstance(options['start'], str):
            raise ConfigurationError('Cannot specify an embedded transformer when using the Earley algorithm. '
                             'Please use your transformer on the resulting parse tree, or use a different algorithm (i.e. LALR)')
        try:
            return self.__dict__['options'][name]
        except KeyError as e:
            raise AttributeError(e)
    def deserialize(cls, data: Dict[str, Any], memo: Dict[int, Union[TerminalDef, Rule]]) -> "LarkOptions":
        return cls(data)
    """Main interface for the library.
    """
    def __init__(self, grammar: 'Union[Grammar, str, IO[str]]', **options) -> None:
        if use_regex:
            try:
                self.source_path = grammar.name  # type: ignore[union-attr]
            except AttributeError:
                self.source_path = '<string>'
        try:
            read = grammar.read  # type: ignore[union-attr]
        except AttributeError:
            pass