from .base import CryptoMaterialsCache
class LocalCryptoMaterialsCache(CryptoMaterialsCache):
    """Local, in-memory, LRU, cache for use with caching cryptographic materials providers.
    """
    def __attrs_post_init__(self):
            try:
                entry_ref = self._lre_deque.pop()
            except IndexError:
                try:
                    del self._cache[actual_entry.cache_key]
                except KeyError:
                    pass