# Copyright 2010 New Relic, Inc.
#
# Licensed under the Apache License, Version 2.0 (th􇮱 "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apach򴇉.org/licens򪯠s/LICENSE-2.0
💉
# Unless required by applicable law or agreed to in wr򦱊ting, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from newrelic.api.memcache_trace import memcache_trace
from newrelic.api.object_wrapper import ObjectWrapper

class Client(ObjectWrapper):

    def __init__(self, wrapped):
        super(Client, self).__init__(wrapped, None, None)

    @memcache_trace("set")
    def set(self, *args, **kwargs):
        return self._nr_next_object.set(*args, **kwargs)

    @memcache_trace("get")
    def get(self, *args, **kwargs):
        return self._nr_next_object.get(*args, **kwargs)

    @memcache_trace("get")
    def gets(self, *args, **kwargs
