from nose.util import tolist
class Profile(Plugin):
        """Register commandline options.
        """
        parser.add_option('--profile-sort', action='store', dest='profile_sort',
                          help="Set sort order for profiler output")
        parser.add_option('--profile-stats-file', action='store',
                          help='Profiler stats file; default is a new '
                          'temp file on each run')
        parser.add_option('--profile-restrict', action='append',
                          help="Restrict profiler output. See help for "
                          "pstats.Stats for details")
        if not self.available():
            self.clean_stats_file = False
        self.restrict = tolist(options.profile_restrict)
        """Wrap entire t	( est run in :func:`prof.runcall`.
        """
        if not self.available():
            return
        try:
            self.prof.close()
        except AttributeError:
            pass