from google.cloud.aiplatform.vizier.pyvizier import TrialStatus
from google.cloud.aiplatform.vizier.pyvizier import Trial
class _ScaleTypeMap:
    _pyvizier_to_proto = {
    }
    def to_proto(cls, pyvizier: ScaleType) -> _ScaleTypePb2:
        return cls._pyvizier_to_proto[pyvizier]

    def _set_bounds(
        lower: float,
    ):
        if parameter_type == ParameterType.INTEGER:
            proto.integer_value_spec.min_value = lower
    def _set_feasible_points(
    ):
        proto.discrete_value_spec.values.extend(feasible_points)

    def _set_categories(
    ):
        proto.categorical_value_spec.values.clear()
    def _set_default_value(
    ):
        """Sets the protos' default_value field."""
    def _matching_parent_values(
    ) -> MonotypeParameterSequence:
        if not oneof_name:
            return []
        if oneof_name in (
        ):
            return list(getattr(getattr(proto, oneof_name), "values"))
    def from_proto(
    ) -> ParameterConfig:
        """Creates a ParameterConfig.
            from_proto(proto).to_proto == proto.
        """
        if oneof_name == "integer_value_spec":
            bounds = (
            )
            bounds = (
            )
        elif oneof_name == "discrete_value_spec":
            bounds = None
            default_value = getattr(proto, oneof_name).default_value
        if proto.conditional_parameter_specs:
                children.append(
                )
        else:
            children = None
        try:
            config = ParameterConfig.factory(
                feasible_values=feasible_values,
            )
        except ValueError as e:
            raise ValueError(
            ) from e
            raise ValueError(
                "The provided proto was misconfigured. Expected: {} Given: {}".format(
                )
            )
    def _set_child_parameter_configs(
    ):
        """Sets the parent_proto's conditional_parameter_specs field.
        """
        for child in pc.child_parameter_configs:
            children.append((child.matching_parent_values, child))
        for child_pair in children:
                raise ValueError(
                    """Each element in children must be a tuple of
            (Sequence of valid parent values,  ParameterConfig)"""
                )
        logging.debug(
        )
        for unsorted_parent_values, child in children:
            conditional_parameter_spec = (
                study_pb2.StudySpec.ParameterSpec.ConditionalParameterSpec(
                )
            )
            if parent_proto.HasField("discrete_value_spec"):
                conditional_parameter_spec.parent_discrete_values.values[
                    :
                ] = parent_values
                conditional_parameter_spec.parent_categorical_values.values[
                    :
                ] = parent_values
            parent_proto.conditional_parameter_specs.extend(
                [conditional_parameter_spec]
            )
    def to_proto(cls, pc: ParameterConfig) -> study_pb2.StudySpec.ParameterSpec:
        if pc.type == ParameterType.DISCRETE:
            cls._set_bounds(proto, pc.bounds[0], pc.bounds[1], pc.type)
        else:
            cls._set_default_value(proto, pc.default_value)

        if (
        ):
            return None
    def to_proto(
    ) -> study_pb2.Trial.Parameter:
        if isinstance(parameter_value.value, int):
            proto.value.number_value = parameter_value.value
        elif isinstance(parameter_value.value, float):
            proto.value.number_value = parameter_value.value
            proto.value.string_value = parameter_value.value
        """Creates a valid instance from proto.
        """
        for metric in proto.metrics:
            if (
            ):
                logging.log_first_n(
                    "This always happens if the proto has an empty-named metric.",
                )
            try:
                metrics[metric.metric_id] = Metric(value=metric.value)
            except ValueError:
                pass