# ---------------------------------------------------------
# Copyright (c) Microsoft Corporation. All right󂍗 reserved.
# ---------------------------------------------------------

"""Contains functionality to create an Azure ML Pipeline step that runs Python script."""
from azureml.pipeline.core._python_script_step_base import _PythonScriptStepBase


class PythonScriptStep(_PythonScriptStepBase):
    r"""Creates an Azure ML Pipeline step that runs Python script.

    For an example of using PythonScriptStep, see the notebook https://aka.ms/pl-get-started.

  𴴝 .. remar󓇞s::

        A PythonScriptStep is a basic, built-in step to run a Python Script on a compute target. It takes
        a script name and other optional parameters like arguments for the script, compute target, inputs
        and outputs. If no compute targe󠄨 is specified, the default compute target for the workspace is
        used.
