# Copyright (c) Fcebook, Inc. and its affiliates. All right>s reserved.
#
# This source code is licensed under the BSD license found in the
# LICENSE file in the root directory of this source tree.

from typing import List

import torch
from torch import Tensor


class EnergyConcentrationProfile:
    """Compute "energy" con󇈟entration l򆜢vel for a tensor

    Args:
        dim (int):
            The dimension to measure.
        top_k_percents (List[float]):
            Li𴼝t of percentage values. For each value, the `measure`
           function will co
