info = {
    "name": "ta",
    "date_order": "DMY",
    "january": [
        "ஜன",
        "ஜனவரி",
    ],
    "february": [
        "பிப்",
        "பிப்ரவரி",
    ],
    "march": [
        "மார்",
        "மார்ச்",
    ],
    "april": [
        "ஏப்",
        "ஏப்ரல்",
    ],
    "may": [
        "மே",
    ],
    "june": [
        "ஜூன்",
    ],
    "july": [
        "ஜூலை",
    ],
    "august": [
        "ஆக",
        "ஆகஸ்ட்",
    ],
    "september": [
        "செப்",
        "செப்டம்பர்",
    ],
    "october": [
        "அக்",
        "அக்டோபர்",
    ],
    "november": [
        "நவ",
        "நவம்பர்",
    ],
    "december": [
        "டிச",
        "டிசம்பர்",
    ],
    "monday": [
        "திங்",
        "திங்கள்",
    ],
    "tuesday": [
        "செவ்",
        "செவ்வாய்",
    ],
    "wednesday": [
        "புத",
        "புதன்",
    ],
    "thursday": [
        "வியா",
        "வியாழன்",
    ],
    "friday": [
        "வெள்",
        "வெள்ளி",
    ],
    "saturday": [
        "சனி",
    ],
    "sunday": [
        "ஞாயி",
        "ஞாயிறு",
    ],
    "am": [
        "முற்பகல்",
    ],
    "pm": [
        "பிற்பகல்",
    ],
    "year": [
        "ஆ",
        "ஆண்டு",
    ],
    "month": [
        "மா",
        "மாத",
        "மாதம்",
    ],
    "week": [
        "வா",
        "வாரம்",
    ],
    "day": [
        "நா",
        "நாள்",
    ],
    "hour": [
        "ம",
        "மணி",
    ],
    "minute": [
        "நிமி",
        "நிமிடம்",
    ],
    "second": [
        "வி",
        "விநா",
        "விநாடி",
    ],
    "relative-type": {
        "0 day ago": [
            "இன்று",
        ],
        "0 hour ago": [
            "இந்த ஒரு மணிநேரத்தில்",
        ],
        "0 minute ago": [
            "இந்த ஒரு நிமிடத்தில்",
        ],
        "0 month ago": [
            "இந்த மாதம்",
        ],
        "0 second ago": [
            "இப்போது",
        ],
        "0 week ago": [
            "இந்த வாரம்",
        ],
        "0 year ago": [
            "இந்த ஆண்டு",
        ],
        "1 day ago": [
            "நேற்று",
        ],
        "1 month ago": [
            "கடந்த மாதம்",
        ],
        "1 week ago": [
            "கடந்த வாரம்",
        ],
        "1 year ago": [
            "கடந்த ஆண்டு",
        ],
        "in 1 day": [
            "நாளை",
        ],
        "in 1 month": [
            "அடுத்த மாதம்",
        ],
        "in 1 week": [
            "அடுத்த வாரம்",
        ],
        "in 1 year": [
            "அடுத்த ஆண்டு",
        ],
    },
    "relative-type-regex": {
        "\\1 day ago": [
            "(\\d+[.,]?\\d*) நா முன்",
            "(\\d+[.,]?\\d*) நாட்களுக்கு முன்",
            "(\\d+[.,]?\\d*) நாளுக்கு முன்",
        ],
        "\\1 hour ago": [
            "(\\d+[.,]?\\d*) ம முன்",
            "(\\d+[.,]?\\d*) மணி முன்",
            "(\\d+[.,]?\\d*) மணிநேரம் முன்",
        ],
        "\\1 minute ago": [
            "(\\d+[.,]?\\d*) நி முன்",
            "(\\d+[.,]?\\d*) நிமி முன்",
            "(\\d+[.,]?\\d*) நிமிடங்களுக்கு முன்",
            "(\\d+[.,]?\\d*) நிமிடத்திற்கு முன்",
        ],
        "\\1 month ago": [
            "(\\d+[.,]?\\d*) மா முன்",
            "(\\d+[.,]?\\d*) மாத முன்",
            "(\\d+[.,]?\\d*) மாதங்களுக்கு முன்",
            "(\\d+[.,]?\\d*) மாதத்துக்கு முன்",
        ],
        "\\1 second ago": [
            "(\\d+[.,]?\\d*) வி முன்",
            "(\\d+[.,]?\\d*) விநா முன்",
            "(\\d+[.,]?\\d*) விநாடிகளுக்கு முன்",
