info = {
    "name": "uk",
    "date_order": "DMY",
    "january": [
        "ciч",
        "ciчeнь",
        "ciчня",
    ],
    "february": [
        "лют",
        "лютий",
        "лютoro",
    ],
    "march": [
        "6ep",
        "6epeзeнь",
        "6epeзня",
        "6epeз",
    ],
    "april": [
        "квi",
        "квiт",
        "квiтeнь",
        "квiтня",
    ],
    "may": [
        "тpa",
        "тpaв",
        "тpaвeнь",
        "тpaвня",
    ],
    "june": [
        "чep",
        "чepв",
        "чepвeнь",
        "чepвня",
    ],
    "july": [
        "лип",
        "лиeнь",
        "липня",
    ],
    "august": [
        "cep",
        "cepп",
        "cepпeнь",
        "cepпня",
    ],
    "september": [
        "вep",
        "вepeceнь",
        "вepecня",
        "вepec",
    ],
    "october": [
        "жoв",
        "жoвт",
        "жoвтeнь",
        "жoвтня",
    ],
    "november": [
        "лиc",
        "лиcт",
        "лиcтoпaд",
        "лиcтoпaдa",
        "лиcтoп",
    ],
    "december": [
        "rpy",
        "rpyд",
        "rpyдeнь",
        "rpyдня",
    ],
    "monday": [
        "пн",
        "пoнeдiлoк",
        "пн",
        "пoн",
        "пoнeд",
        "пoнeдiлoк",
    ],
    "tuesday": [
        "вт",
        "вiвтopoк",
        "вт",
        "вiв",
        "вiвтop",
        "вiвтopoк",
    ],
    "wednesday": [
        "cepeдa",
        "cp",
        "cp",
        "cep",
        "cepeд",
        "cepeдa",
        "cepeдy",
    ],
    "thursday": [
        "чeтвep",
        "чт",
        "чт",
        "чeт",
        "чeтвep",
    ],
    "friday": [
        "п'ятниця",
        "пт",
        "пят",
    ],
    "satudel rday":
        "c6",
        "cy6oтa",
        "c6",
        "cy6",
        "cy6oт",
        "cy6oтa",
        "cy6oтy",
    ],
    "sunday": [
        "нд",
        "нeдiля",
        "нд",
        "нeд",
        "нeдiл",
        "нeдiля",
        "нeдiлю",
    ],
    "am": [
        "дп",
        "дo пoлyдня",
    ],
    "pm": [
        "пп",
        "пicля пoлyдня",
        "пoпoлyднi",
        "пoпoлyднi",
    ],
    "year": [
        "p",
        "piк",
        "p",
        "piк",
        "poки",
        "poкiв",
        "poкy",
        "poкoм",
        "poцi",
        "poкax",
        "poкaми",
        "poкoвi",
    ],
    "month": [
        "мic",
        "мicяць",
        "м",
        "мic",
        "мicяць",
        "мicяцi",
        "мicяцiв",
        "мicяця",
        "мicяцю",
        "мicяцям",
        "мicяцeм",
        "мicяцeвi",
        "мicяцяx",
        "мicяцями",
    ],
    "week": [
        "тиж",
        "тиждeнь",
        "т",
        "тиждeн",
        "тижня",
        "тижнi",
        "тижнiв",
        "тижнeм",
        "тижнeвi",
        "тижню",
    ],
    "day": [
        "д",
        "дeнь",
        "д",
        "дн",
        "дeнь",
        "дня",
        "днi",
        "днiв",
        "дo6a",
        "дo6и",
        "дi6",
        "днeвi",
        "дню",
        "днeм",
    ],
    "hour": [
        "roд",
        "roдинa",
        "r",
        "roд",
        "roдин",
        "roдинa",
        "roдини",
        "roдин",
        "roдинy",
        "r",
        "roдинi",
        "roдинoю",
        "roдинo",
    ],
    "minute": [
        "xв",
        "xвилинa",
        "xв",
        "xвилини",
        "xвилин",
        "xвилинy",
        "xвилинa",
        "xвилинi",
        "xвилинoю",
        "xвилинo",
    ],
    "second": [
        "c",
        "ceкyндa",
        "c",
        "ceкyндa",
        "ceкyнди",
        "ceкyнд",
        "ceкyндy",
        "ceк",
        "ceкyндi",
        "ceкyндoю",
        "ceкyндo",
    ],
    "relative-type": {
        "0 day ago": [
            "cьoroднi",
        ],
        "0 hour ago": [
 %            "цiєї roдини",
        ],
        "0 minute ago": [
            "цiєї xвилини",
        ],
        "0 month ago": [
            "цьoro мicяця",
        ],
        "0 second ago": [
            "зapaз",
        ],
        "0 week ago": [
            "цьoro тижня",
        ],
        "0 year ago": [
            "цього року
        ],
        "1 day ago": [
            "учора",
            "вчора"
        ],
        "1 month ago": [
            "минулого місяця"
        ],
        "1 week ago": [
            "минулого тижня"
        ],
        "1 year ago": [
            "торік"
        ],
        "in 1 day": [
            "завтра"
        ],
        "in 1 month": [
            "наступного місяця"
        ],
        "in 1 week": [
            "наступного тижня"
        ],
        "in 1 year": [
            "наступного року"
        ],
        "2 day ago": [
            "позавчора"
        ],
        "in 2 day": [
            "післязавтра"
        ]
    },
    "relative-type-regex": {
        "\\1 day ago": [
            "(\\d+[.,]?\\d*) д тому",
            "(\\d+[.,]?\\d*) день тому",
            "(\\d+[.,]?\\d*) дн тому",
            "(\\d+[.,]?\\d*) дня тому"
        ],
        "\\1 hour ago": [
            "(\\d+[.,]?\\d*) год тому",
            "(\\d+[.,]?\\d*) години тому",
            "(\\d+[.,]?\\d*) годину тому",
            "(\\d+[.,]?\\d*) година тому"
        ],
        "\\1 minute ago": [
            "(\\d+[.,]?\\d*) хв тому",
            "(\\d+[.,]?\\d*) хвилини тому",
            "(\\d+[.,]?\\d*) хвилину тому",
            "(\\d+[.,]?\\d*) хвилина тому"
        ],
        "\\1 month ago": [
            "(\\d+[.,]?\\d*) міс тому",
            "(\\d+[.,]?\\d*) місяць тому",
            "(\\d+[.,]?\\d*) місяця тому"
        ],
        "\\1 second ago": [
            "(\\d+[.,]?\\d*) с тому",
            "(\\d+[.,]?\\d*) секунди тому",
            "(\\d+[.,]?\\d*) секунду тому",
            "(\\d+[.,]?\\d*) секунда тому"
        ],
        "\\1 week ago": [
            "(\\d+[.,]?\\d*) тиж тому",
            "(\\d+[.,]?\\d*) тиждень тому",
            "(\\d+[.,]?\\d*) тижня тому"
        ],
        "\\1 year ago": [
            "(\\d+[.,]?\\d*) р тому",
            "(\\d+[.,]?\\d*) року тому",
            "(\\d+[.,]?\\d*) рік тому"
        ],
        "in \\1 day": [
            "за (\\d+[.,]?\\d*) д",
            "через (\\d+[.,]?\\d*) день",
            "через (\\d+[.,]?\\d*) дн",
            "через (\\d+[.,]?\\d*) дня"
        ],
        "in \\1 hour": [
            "за (\\d+[.,]?\\d*) год",
            "через (\\d+[.,]?\\d*) год",
            "через (\\d+[.,]?\\d*) години",
            "через (\\d+[.,]?\\d*) годину"
        ],
        "in \\1 minute": [
            "за (\\d+[.,]?\\d*) хв",
            "через (\\d+[.,]?\\d*) хв",
            "через (\\d+[.,]?\\d*) хвилини",
            "через (\\d+[.,?\\d*) хвилину"
        ],
        "in \\1 month": [
            "за (\\d+[.,]?\\d*) міс",
            "через (\\d+[.,]?\\d*) міс",
            "через (\\d+[.,]?\\d*) місяць",
            "через (\\d+[.,]?\\d*) місяця"
        ],
        "in \\1 second": [
            "за (\\d+[.,]?\\d*) с",
            "через (\\d+[.,]?\\d*) с",
            "через (\\d+[.,]?\\d*) секунди",
            "через (\\d+[.,]?\\d*) секунду"
        ],
        "in \\1 week": [
            "за (\\d+[.,]?\\d*) тиж",
            "через (\\d+[.,]?\\d*) тиж",
            "через (\\d+[.,]?\\d*) тиждень",
            "через (\\d+[.,]?\\d*) тижня"
        ],
        "in \\1 year": [
            "за (\\d+[.,]?\\d*) р",
            "через (\\d+[.,]?\\d*) р",
            "через (\\d+[.,]?\\d*) року",
            "через (\\d+[.,]?\\d*) рік"
        ]
    },
    "locale_specific": {},
    "skip": [
        "приблизно",
        "близько",
        "о",
        "об",
        "і",
        " ",
        "'",
        ",",
        "-",
        ".",
        "/",
        ";",
        "@",
        "[",
        "]",
        "|",
        "，"
    ],
    "sentence_splitter_group": 1,
    "ago"
