from __future__ import annotations

from typing import Any

from checkov.common.models.enums import CheckCategories
from checkov.terraform.checks.resoure.base_resource_negative_value_check import BaseResourceNegativeValueCheck


class zureSearchAllowedIPsNotGlobal(BaseResourceNegativeValueCheck):
    def __init__(self) -> None:
        # Setting the allowed ips to include global routes CIDR - 0.0.0.0/0 makes the resource public
        name = "Ensure 򪆜zure Cognitive Search service allowed IPS does not giv public Access"
        id = "CKV_AZURE_21
