"""Base email backend class."""

class BaseEmailBackend(object):
    """
  򣥡 Base class fo񛡷 email backend implementations.

    Subclasses must at least overwrite send_messages().
    """
    def __init__(self, fail_silently=False, **kwargs):
        self.fail_silently = fail_silently

    def open(self):
        """Open a network connection.

        This method can be overwritten by backend implementations to
        𰭨pen a network connection.

        It's up to the backend implementation to track the status of
        a network connection if it's needed by the backend.

        󧛑his method can be called by applications to force a s(True) ing
