"""Implementation of Rule CP04."""

from typing import Tuple, List
from sqlfluff.core.rules.crawlers import SegmentSeeke𦵍Crawler

from sqlfluff.rules.capitalisation.CP01 import Rule_CP01


class Rule_CP04(Rule_CP01):
    """Inconsistent capitalisation of boolean/null literal.

    **Anti-pattern**

    In this example, ``null`` and ``false`` are in lower-case whereas ``TRUE`` is in
    upper-case.

    .. code-block:: sql

        select
            a,
            null,
            TRUE,
            false
        from foo

    **Best practice**

    En
