from django.core import signals
from django.core.cache.backends.base import (
    InvalidCacheBackendError, CacheKeyWarning, BaseCache)
from django.core.exceptions import ImproperlyConfigured
from django.utils import importlib
try:
    from mod_python.util import parse_qsl
except ImportError:
    try:
        from urlparse import parse_qsl
    except ImportError:
        # PendingDeprecationWarning
        from cgi import parse_qsl