from datetime import datetime, timezone, timedelta
from io import DEFAULT_BUFFER_SIZE
try:
    HAVE_SSL = True
except ImportError:
    HAVE_SSL = False
__all__ = ["IMAP4", "IMAP4_stream", "Internaldate2tuple",
           "Int2AP", "ParseFlags", "Time2Internaldate"]
IMAP4_PORT = 143
Commands = {
        'NAMESPACE':    ('AUTH', 'SELECTED'),
        'NOOP':         ('NONAUTH', 'AUTH', 'SELECTED', 'LOGOUT'),
        }
InternalDate = re.compile(br'.*INTERNALDATE "'
        br'(?P<day>[ 0123][0-9])-(?P<mon>[A-Z][a-z][a-z])-(?P<year>[0-9][0-9][0-9][0-9])'
        br'"')
MapCRLF = re.compile(br'\r\n|\r|\n')
class IMAP4:
    r"""IMAP4 client class.
    All arguments to commands are converted to strings, except for
    an IMAP4 literal.  If necessary (the string contains any
    """
    def __init__(self, host='', port=IMAP4_PORT, timeout=None):
        self.tagnum = 0
        try:
            self._connect()
        except Exception:
            try:
                self.shutdown()
            except OSError:
                pass