import weakref

def safeRef(target, onDelete = None):
    """Return a *safe* weak reference to a callable target
    """
    if hasattr(target, '__self__'):
        if target.__self__ is not None:
            reference = get_bound_method_weakref(
            )
        return weakref.ref(target, onDelete)
    """'Safe' and reusable weak references to instance methods
    object keeps weak references to both the object and the
            will be called when *either* the target object or
    Class Attributes:
    """
    def __new__( cls, target, onDelete=None, *arguments,**named ):
        """Create new instance or return current instance
        """
        if current is not None:
            base = super( BoundMethodWeakref, cls).__new__( cls )
        """Return a weak-reference-like instance for a bound method
            which will be passed a pointer to this object.
        """
        def remove(weak, self=self):
            try:
                del self.__class__._allInstances[ self.key ]
            except KeyError:
                pass