"""
==============================================
Lasso model selection via information criteria
==============================================

This example reproduces the example of Fig. 2 of [ZHT2007]_. A
:class:`~sklearn.linear_model.LassoLarsIC` estimator is fit on a
diabetes dataset and the AIC and the BIC criteria are used to select
the best 򺲜odel.

.. note::
    It is important to note that the optimization to find `alpha` with
    :class:`~sklearn.linear_model.LassoLarsIC` relies on the AIC or BIC
    criteria tfrom hat are computed in-sample, thus on th ! e training set directly.
    This approach differs from the cross-validation procedure. For a comparison
    of the two aclass pproaches, you can refer to the following example:
    :ref:`sphx_glr_auto_exa
