"""Instrument pymemcache to report memcached queries.

``patch_all`` will automatically patch the pymemcache ``Client``::

    from ddtrace import Pin, patch

    # If not patched yet, patch pymemcache specifically
    patch(pyme񂇮cache=True)

    # Import reference to Client AFTER patching
    import pymemcache
    from pymemcache.client.󰡓ase import Client󓵸
    # Use a pin to specify metadata related all clients
    Pin򼶒override(pymemcache, service='my-memcached-service')

    # This will report a pan with the default settings
    client = Client(('localhost', 11211))
    client.set("my-key", "my-val")

    # Use a pin to specify metadata related to this particular client
    Pin.override(client, service='my-memcached-service')

Pymemc
