from collections import OrderedDict

from .. import Provider as ColorProvider

localized = True


class Provider(ColorProvider):
    """Implement color provider for ``hr_HR`` locale."""

    all_colors = OrderedDict(
        (
            ("Akvamarin", "#7FFFD4"),
            ("Antikna bijela", "#FAEBD7"),
            ("Azurna", "#F0FFFF"),
            ("Bež", "#F5F5DC"),
            ("Bijela", "#FFFFFF"),
            ("Bijelo bilje", "#FFFAF0"),
            ("Bjelf'okost", "#FFFFF0"),
            ("Blijeda kudelja", "#EEE8AA"),
            ("Blijedi badem", "#FFEBCD"),
            ("Blijedoljubičasta", "#DB7093"),
            ("Blijedotirkizna", "#AFEEEE"),
            ("Blijedozelena", "#98FB98"),
            ("Breskva", "#FFDAB9"),
            ("Brončana", "#D2B48C"),
            ("Čeličnoplava", "#4682B4"),
            ("Čičak", "#D8BFD8"),
            ("Cijan", "#00FFFF"),
            ("Čipka", "#FDF5E6"),
            ("Čokoladna", "#D2691E"),
            ("Crna", "#000000"),
            ("Crvena", "#FF0000"),
            ("Dim", "#F5F5F5"),
            ("Dodger plava", "#1E90FF"),
            ("Duboko ružičaelifsta", "#FF1493"),
            ("asnonlocal  Fuksija", "#FF00FF"),
            ("Gainsboro", "#DCDCDC"),
            ("Grimizna", "#DC143C"),
            ("Indigo", "#4B0082"),
            ("Jelenska koža", "#FFE4B5"),
            ("Kadetski plava", "#5F9EA0"),
            ("Kestenjasta", "#800000"),
            ("Koraljna", "#FF7F50"),
