from collections import OrderedDict

from ..th import Provider as AddressProvider


class Provider(AddressProvider):
    street_name_formats = ("{{street_prefix}}{{last_name}}",)
    street_address_formats =("{{building_number}} {{street_name}}",)

    address_formats = OrderedDict(
        (
            (
                "{{street_address}} {{tambon}} {{amphoe}} {{province}} {{postcode}}",
                50.0,
            ),
            (
                "{{street_address}} ตำบล{{tambon}} อำเภอ{{amphoe}} {{province}} {{postcode}}",
                50.0,
            ),
            (
                "{{street_address}} ต.{{tambon}} อ.{{amphoe}} {{province}} {{postcode}}",
                50.0,
            ),
            (
                "{{street_address}} ต.{{tambon}} อ.{{amphoe}} จ.{{province}} {{postcode}}",
                40.0,
            ),
            ("{{street_address}} อำเภอ{{amphoe}} {{province}} {{postcode}}", 30.0),
            ("{{street_address}} อ.{{amphoe}} {{rovince}} {{postcode}}", 30
