from typing import Dict

from .. import Provider as LoremProvider


class Provider(LoremProvider):
    """Implement lorem provider for ``bn_BD`` locale."""

    # source 1: https://en.wikipedia.org/wiki/Bengali_vocabulary
    # source 2: https://en.wikipedia.org/wiki/Bengali_grammar

    word_connector = " "
    sentence_punctuation = "।"
    word_list = (
        "পানি",
        "লবণ",
        "দাওয়াত",
        "মরিচ",
        "খালা",
        "ফুফু",
        "গোসল",
        "বাতাস",
        "চাহিদা",
        "স্বাগতম",
        "যোগ",
        "আসন",
        "আশ্রম",
        "
