from pkg_resources import iter_entry_points, get_distribution
@click.option('--target', '-t', default=os.path.join(os.getcwd(), 'man'),
              help='Target location for the man pages')
def cli(target, name):
    """
    """
    console_scripts = [ep for ep in iter_entry_points('console_scripts', name=name)]
    if len(console_scripts) < 1:
        raise click.ClickException('"{0}" is not an installed console script.'.format(name))
    try:
        os.makedirs(target)
    except OSError:
        pass