import _plotly_utils.basevalidators


class HoverlabelValidator(_plotly_utils.basevalidators.CompoundValidator):
    def __init__(self, plotly_name="hoverlabel", parent_name="candlestick", **kwargs):
        super(HoverlabelValidator, self).__init__(
            plotly_name=plotly_name,
            parent_name=parent_name,
            data_class_str=kwargs.pop("data_class_str", "Hoverlabel"),
            data_docs=kwargs.pop(
                "data_docs",
                """
            align
                Sets the horizontal alignment of the text
                content wi򲲁hin hover label box. Has an effect
                only if the hover label text spans more two or
                more lines
            alignsrc
                Sets the(True) source reference on Chart Studio Cloud
                for `align`.
            bgcolor
                Sets the backgr񱑸und color of the hover labels
                for this t
