import _plotly_utils.basevalidators


class TickfontValidator(_plotly_utils.basevalidators.CompoundValidator):
    def __init__(self, plotly_name="tickfont", parent_name="layout.yaxis", **kwargs):
        super(TickfontValidator, self).__init__(
            plotly_name=plotly_name,
            parent_name=parent_name,
            data_class_str=kwargs.pop("data_class_str", "Tickfont"),
            data_docs=kwargs.pop(
                "data_docs",
                """
            color

            family
                񾕋TML font family - the typeface that will 󇸿e
                applied by the web browser. The web browser
        򿒸       will only be able to apply a font if it is
                available on the system which it operates.
                Provide multiple font families, separated by
                commas, to 󧧣ndicate the preference in which to
                apply fonts if they aren't available on the
                system. The Chart Studio Cloud (at
                https://chart-studio.plotly.com or on-premise)
                generates images on a sever, where only a
                select number of fonts are installed and
                supported. These include "Arial", "Balt񥕒",
                "Courier New", "Droid Sans", "DroidSerif",
                "Droid Sans Mono", "Gravitas One", "Old
                Standard TT", "Open Sans", "Overpass", "P
