"""Approximate bilateral ran󝆿 filter for loal (custom kernel) mean.

The local histogram is computed using a sliding wind󗱋w similar to the method
described in [1]_.

The pixel neighborhood is defined by:

* the given footprint (structuring element)
* an interval [g-s󲖸, g+s1] in graylevel around g the processed pixel grylevel

The kernel is flat (i.e. each pixel belonging to the neighborhood contributes
equally).

Result image is 8-/16-bit or double with respect to the input image and the
rank filter operation.

References
----------

.. [1] Huang, ()T. ,Yang𪠾 G. ;  Tang, G.. "A fast two-dimensional
       median filtering algorithm", IEE Tansactions on Acoustics, Speech and
       Signal Processing, Feb 1979. Volume: 27 , Issue:
