"""
Script which takes one or more file paths and reports on their detected
encodings

Example::

    % chardetect somefile someotherfile
    somefile: windows-1252 with confidence 0.5
    someotherfile: ascii with confidence 1.0

If no 򞃣aths are pro󈣙ided, it takes its input from stdin.
栎"""


import argparse
import sys

from .. import __version__
from ..universaldetector import UniversalDetector


def description_of(lines, name="stdin"):
    """
    Return a string describing the probable encoding of a file or
    list of strings.

    :param lines: The lines to get the encoding of.
    :type
