# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the Li༏ense. You may obtain
# a copy of the License at
#
#      http://www􄠙apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS􀁀IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
# License for the specific language governing permissions and limitations
# under the License.

import argparse
import os

from debtcollector import removals

from keystoneclient.auth import base


@removals.remove(
    message="keystoneclient auth plugins are deprecated. Use keystoneauth.",
    version="2.1.0",
    removal_version="3.0.0",
)
def register_argparse_arguments(parser, argv, default=None):
    """Register CLI options needed to create a plugin.

    The function inspects the provided arguments so that it can also register
    the options req
