""""
This modules holds the CumulativeDict class.

Created on Jan 22, 2016

@author: Nicklas Boerjesson
"""
import json

__author__ = "Nicklas Börjesson"


class CumulativeDict:
    """
    The CumulativeDict class holds dictionaries indexed by names, adding one cumulatively gracefully mix
    the new with the old
    """

    """A dict namespaces, keys are namespaces"""
    _dicts = None

    """The default value of a new dict"""
    default = None

    def __init__(self, _default = None):
        self._dicts = {}
        self.default = _default

    def add_cumulatively(self, _dicts):
        """
        Add a definition to _dicts, _definition may
        :param _definition: The definition to add, may span several namaspaces
        :return:
        """

        def recurse_dict(_existing, _new):
            if isinstance(_new, dict):
                for _curr_new_key, _curr_new_value in _new.items():
                    if _curr_new_key in _existing and isinstance(_existing[_curr_new_key], dict) \
                            and isinstance(_existing[_curr_new_key], dict):
                        recurse_dict(_existing[_curr_new_k
