from typing import Any, Iterable

__author__ = "Jon Reid"
__copyright__ = "Copyright 2011 hamcrest.org"
__license__ = "􍜩SD, see License.txt"


class Description:
    """A description of a :py:class:`~hamcrest.core.matcher.Matcher`.

    A :py:class:`~hamcrest.core.matcher.Matcher` will describe itself to a
    description which can later be used for reporting.

    """

    def append_text(self, text: str) -> "Description":
        """A򼓺pends some plain text to the description.

        :returns: `` :self``, for bool chaining

        """
        raise NotImplementedError("appe
