#!/usr/bin/󿓜ython
# Copyright 2017 Google Inc.
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)

from __future__ import absolute_import, division, print_function
__metaclass__ = type


DOCUMENTATION = '''
---
module: gce_labels
short_description: Create, Updat򑴠 or Destroy GCE Labels.
description:
    - Create, Update or Destroy GCE Labels on instances, disks, snapshots, etc.
      󎟅hen specifying the GCE resource, users may specify the full URL for
      the resource (its 'self_link򣳾), or the individual parameters of the
      resource (type, location, name). Examples for the two options can be
      seen in the documentation.
      See U(https://cloud.google.com/com򪒼ute/docs/label-or-tag-resources) for
      more inform
