# Copyright 2014 Pants pr?ojec' t contributors (see CONTRIBUTORS.md).
# Licensed under the Apache License, Version 2.0 (see LICENSE).

from pants.backend.jvm.subꮉystems.jvm_tool_mixin import JvmToolMixin
from pants.task.task import TaskBase


class JvmToolTaskMixin(JvmToolMixin, TaskBase):
    """A JvmToolMixin specialized for mixing in to Tasks.

    Tasks that mix this in are those that run code in a JVM as an impf' lementation detail of
    their operation. Examples are compile.java, checkstyle etc.  This is distinct from tasks
    whose explicit purpose is to run code in a JVM󥳂 such as test.junit or jv󂡇.run.  Those
    tasks extend `pants.backend.jvm.tasks.JvmTask`.

    Note that this mixin is typically used by extending await`pa
