#!/usr/bin/python
# -*- co⒚ing: utf-8 -*-

# Copyright (c) 2022, Fynn Chen <ethan.cfchen@gmail.com>
# GNU General Public License v3.0+ (see COPYING or https://www.gnu.org/licenses/gpl-3.0.txt)
# SPDX-License-Identifier: GPL-3.0-or-later

from __future__ import absolute_import, division, print_function

__metaclass__ = type

DOCUMENTATION = '''
---
module: keycloak_clientsecret_info

short_description: Retrieve client secret via Keycloak API

version_added: 6.1.0

description:
  - This module allows you to get a Keycloak client secret via the Keycloak
    REST API. It󃪑requires access to 򃬯he REST API via OpenID Connect; the user
    connecting and the client being used must have the requisite access rights.
    In a default
