import logging
class TestBase(unittest.TestCase):
    """Base class for all tests
    TestCase providing access to readonly repositories using the following member variables.
    """
    def setUpClass(cls):
        try:
            super().setUpClass()
        except AttributeError:
            pass
        if not cls.gitrepopath:
            logging.info(
                "You can set the %s environment variable to a .git repository of your choice - defaulting to the gitdb repository", cls.k_env_git_repo)