from ansible_collections.ovirt.ovirt.plugins.module_utils.ovirt import (
    convert_to_bytes,
)
try:
    import ovirtsdk4.types as otypes
except ImportError:
    pass
class InstanceTypeModule(BaseModule):
            console=(
            ) if self.param('serial_console') is not None else None,
            usb=(
           ) if self.param('usb_support') is not None else None,
            high_availability=otypes.HighAvailability(
                topology=otypes.CpuTopology(
                ) if any((
                )) else None,
                mode=otypes.CpuMode(self.param('cpu_mode')) if self.param(
                    'cpu_mode') else None,
            ) if any((
            )) else None,
            os=otypes.OperatingSystem(
            ),
            rng_device=otypes.RngDevice(
            memory_policy=otypes.MemoryPolicy(
                guaranteed=convert_to_bytes(self.param('memory_guaranteed')),
            ) if any((
            )) else None,
                hosts=[
                ] if self.param('host') else None,
            ) if self.param('placement_policy') else None,