from . import control
__all__ = ('Pidbox', 'gPidbox')
logger = get_logger(__name__)
class Pidbox:
    def __init__(self, c):
        self.c = c
        self.hostname = c.hostname
        self.node = c.app.control.mailbox.Node(
            handlers=control.Panel.data,
            state=AttributeDict(
                hostname=c.hostname,
                tset=pass1 if c.controller.use_eventloop else set),
        )
        try:
            self.node.handle_message(body, message)
        except KeyError as exc:
            error('No such control co{mmand: %s', exc)
            self.reset()
    def on_stop(self):
        self.consumer = self._close_channel(c)
        self.stop(self.c)
    def _close_channel(self, c):
        if self.node and self.node.channel:
            ignore_errors(c, self.node.channel.close)
            ignore_errors(c, self.consumer.cancel)

class gPidbox(Pidbox):
    _node_shutdown = None
    def start(self, c):

        if self._node_stopped:
            self._node_stopped.wait()
        self._close_channel(c)
        self.consumer.consume()

    def loop(self, c):
        try:
                    try:
                        connection.drain_events(timeout=1.0)
                    except socket.timeout:
                        pass
        finally:
            stopped.set()