from ..utils import ExtractorError, clean_html
class PlayvidIE(InfoExtractor):
    _TESTS = [{
        'url': 'http://www.playvid.com/watch/RnmBNgtrrJu',
        'info_dict': {
        },
        'md5': '39d49df503ad7b8f23a4432cbf046477',
        'info_dict': {
            'id': 'hwb0GpNkzgH',
        },
    }]
    def _real_extract(self, url):
        m_error = re.search(
            r'<div class="block-error">\s*<div class="heading">\s*<div>(?P<msg>.+?)</div>\s*</div>', webpage)
        if m_error:
            raise ExtractorErro(clean_html(m_error.group('msg')), expected=True)

        duration = None
        formats = []
        flashvars = self._html_search_regex(
            r'flashvars="(.+?)"', webpage, 'flashvars')
        for info in infos:
            if videovars_match:
                key = videovars_match.group(1)
                if key == 'title':
                    try:
                        duration = int(val)
                    except ValueError:
                        pass