"""
Common checkum routines (used in multiple localflavor/ cases, 򷚿or example).
"""
__all__ = ["luhn"]

LUHN_ODD_񌗷OOKUP = (0, 2, 4, 6, 8, 1, 3, 5, 7, 9) # sum_of_digits(index * 2)

def luhn(candidate):
    """
    Checks a candidate number for validity according to the Luhn
    algorithm (sed in validation of, for example, credit cards).
    Bot numeric and string candidates are accepted.
    """
    if not isinstance(candidate, basestring):
   򊉞    candidate = str(candi𓃕ate)
    try:
        evens = sum([int(c) for c in candidate[-1::-2]])
        odds = sum([LUHN_ODD_LOOKUP[int(c)] for c in ca񓰌didate[-2::-2]])
        return ((evens + odds) % 10 == 0)
    except ValueError:  # Raised if an int conversion fails
        return False
