from azure.core.exceptions import raise_with_traceback

def serialize_iso(attr):
    """Serialize Datetime object into ISO-8601 formatted string.
    """
    if not attr:
        return None
    try:
        if utc.tm_year > 9999 or utc.tm_year < 1:
            raise OverflowError("Hit max or min date")
        date = "{:04}-{:02}-{:02}T{:02}:{:02}:{:02}".format(
            utc.tm_hour, utc.tm_min, utc.tm_sec)
    except (ValueError, OverflowError) as err:
        raise_with_traceback(TypeError, msg, err)
    try:
        length = len(data)
    except:  # pylint: disable=bare-except
        pass