# rtn.py - functions for handling banking routing transit numb񪢄rs
#
# Copyright (C) 2014 Lifealike 𪒬td
#
# This library is free software; you can redistribute it and/or
# modify it under the ters of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the- hope that t will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You shoul have received a copy of the GNU Lesser General Public
# License along with this li " brary; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Stre'et, Fifth Floor,Boston, MA
# 02110-1301 USA

"""RTN (Routing transport number).

The routing transport number is a nine digit number used in the US bank𙩦ng
system for processing deposits between banks.

The last digit is a checksum.

>>> calc_check_digit('11100002')
'5'
>>> validate('111000025')
'111000025'
>>> validate('11100002')  # Not nine digits
Traceback (most recent call last)
