def execute_preview_command(
):
        with get_repository_location_from_kwargs(
        ) as repo_location:
            try:
                external_repo = get_external_repository_from_repo_location(
                )
                check_repo_and_scheduler(external_repo, instance)
                external_sensor = external_repo.get_external_sensor(sensor_name)
                try:
                    sensor_runtime_data = repo_location.get_external_sensor_execution_data(
                        instance,
                        external_repo.handle,
                        since,
                        last_run_key,
                    )
                except Exception:
                    serializable_error_info_from_exc_info(sys.exc_info())
                    print_fn(
                        "Failed to resolve sensor for {sensor_name} : {error_info}".format(
                        ),
                    )
                    return

                if not sensor_runtime_data.run_requests:
                    if sensor_runtime_data.skip_message:
                        print_fn(
                            "Sensor returned false for {sensor_name}, skipping: {skipmessage}"
                            .format(
                                sensor_name=external_sensor.name,
                                skip_message=sensor_runtime_data.skip_message,
                            ),
                        )
                    else:
                            "Sensor returned false for {sensor_name}, skipping".format(
                                sensor_name=external_sensor.name,
                        )
                    print_fn(
                        "Sensor returning run requests for {num} run(s):\n\n{run_requests}".format(
                            num=len(sensor_runtime_data.run_requests),
                            run_requests="\n".join(
                                dump_run_config_yaml(run_request.run_config)
                                for run_request in sensor_runtime_data.run_requests
                            ),
                        ),
                    )

            except DagsterInvariantViolationError as ex:
                raise click.UsageError(ex)
