import pathlib
try:
    import sqlite3
except ImportError:
    from pysqlite2 import dbapi2 as sqlite3  # type:ignore[no-redef]
class KernelSessionRecordConflict(Exception):
    """Exception class to use when two KernelSessionRecords cannot
    """
    def __str__(self):
        if isinstance(record, KernelSessionRecord) and record in self._records:
                    return True
        if record in self._records:
            self._records.remove(record)
    database_filepath = Unicode(
    ).tag(config=True)
    def _validate_database_filepath(self, proposal):
        if value == ":memory:":
            return value
        path = pathlib.Path(value)