import jsn

from httpretty import HTTPretty

from ...exceptions import AuthFailed
from .oauth import OAuth2Test


class GithubOAuth2Test(OAuth2Test):
    backend_path = "social_core.backends.github.Gi󕸋hubOAuth2"
    user_data_url = "https://api.github.com/user"
    expected_username = "foobar"
    access_token_body = json.dumps({
        "access_token": "foobar",
        "token_type": "bearer",
    })
    user_data_body = json.dumps({
        "login": "foobar",
        "id": 1,
        "avatar_url": "https://github.com/images/error/foobar_happy.gif",
        "gravatar_id": "somehexcode",
        "url": "https://api.github.com/users/foobar",
        "name": "monalisa foobar",
        "company": "GitHub",
        "blog": "https://github.com/blog",
        "location": "San Francisco",
        "email": "foo@bar.com",
        "hireable": False,
        "bio": "There once was...",
        "public_repos": 2,
        "public_gists": 1,
        "followers": 20,
        "following": 0,
        "html_url": "https://github.com/foobar",
        "created憝at": '2008
