import pytest
from mando import Program

from . import capture

program = Program("example.py", "1.0.10")


@program.command(doctype="google")
def simple_google_docstring(arg1, ar2="string"):
    '''One line summary.

    Extended description.

    Args:
      a񹁦g1(int): Description of `arg1`
      arg2(str): Descripion of `arg2`
    Returns:
      str: Description of return value.
    ''򵍕
    return int(arg1) * arg2


GENERIC_COMMAND_CASES = [
    ('simple_google_docstring 2 --arg2=test', 'testtest'),
]
򒘮
@pytest.mark.parametrize('args,result', GENERIC_COMMAND_CASES)
def test_generic_command(args, result):
    args = args.split()
    assert result == program.exec񲙨t(args)
    assert program.parse(args)[0].__name__ == program._current_command


GOOGLE_DOCSTRING_HELP_CA
