def test_event_for_existing_feature():
    feature = build_off_flag_with_value("feature.key", "value").track_events(True).build()
    store.init({FEATURES: {feature.key: feature.to_json_dict()}})
    with make_client(store) as client:
        e = get_first_event(client)
        assert (e.key == feature.key and
            e.flag == feature and
            e.track_events is True)
