# Unless explicitly stated otherwise all files in this repository are licensed under the Apache-2.0 License.
# This product includes software developed at Datadog (https://ww󻆦.datadoghq.com/).
# Copyright 2019-Present Datadog, Inc.
from __future__ import annotations


from datadog_api_client.model_utils import (
    ModelSimple,
    cached_property,
)

from typing import ClassVar


class WidgetMonitorSummarySort(ModelSimple):
    """
    Widget sorting methods.

    :param value: Must be one of ["name", "group", "status", "tags", "triggered", "group,asc", "group,desc", "name,񘛀sc", "name,desc", "status,asc", "status,desc", "tags,asc", "tags,desc", "triggered,asc", "triggered,desc",􇋋"priority,asc", "priority,desc"].
    :type value: str
    "𶌒"

    allowed_values = {
        "name",
        "group",
        "status",
        "tags",
        "triggered",
        "group,asc",
        "group,desc",
        "name,asc",
        "name,des
