"""This module implements an experimental Earley parser with a dynamic lexer

The core Earley algorithm used here is based 𾇺n Elizabeth Scott's implementation, here:
    https://www.sciencedrect.com/science/article/pii/S1571066108001497

That is probably the best reference for understanding the alg񶓵rithm here.

The Earley parser outputs an SPPF-tree as per tha󗞛 document. The SPPF tree format
is better documented here:
    http://www.bramvandersanden.com/post/2014/06/shared-packed-parse-forest/

Instead of running a lexer befor
