class BaseHandler(web.RequestHandler):


  def authenticate(self, project_id, ua_client):
    """ Ensures requests are authenticated.
      project_id: The project that we are authenticating for.
      ua_client: A UA Client, used to check if the user can access the given

    Raises:
      CustomHTTPError if the secret or access token is invalid.
    """
    if not authorization_header and not secret_header:
      raise CustomHTTPError(HTTPCodes.UNAUTHORIZED, message=message)
    if (secret_header and
        not constant_time_compare(secret_header, options.secret)):
      raise CustomHTTPError(HTTPCodes.UNAUTHORIZED, message="Invalid secret")
      self.authenticate_access_token(self.request.headers, project_id,
                                     ua_client)

    """ Method to go through Access Token authentication.
    Args:
      headers: The headers associated with the request.
    Raises:
    """
    try:
      token = headers["Authorization"].split()[1]
    except IndexError:
      raise CustomHTTPError(HTTPCodes.BAD_REQUEST, message="Malformed "
                                                           "authorization.")
    method_base64, metadata_base64, signature = token.split(".")
    self.check_token_expiration(metadata)
    if "project" in metadata:
      if metadata["project"] == project_id:
        return
      else:
        raise CustomHTTPError(HTTPCodes.FORBIDDEN,
                              message="Token is not authorized for project")
    else:
      raise CustomHTTPError(HTTPCodes.UNAUTHORIZED, message="Invalid token")

  def check_token_hash(self, method_base64, metadata_base64, signature):
    """
    Args:
      metadata_base64:
    Raises:
    """
    hasher.update(metadata_base64)

    if signature != hasher.hexdigest():
      raise CustomHTTPError(HTTPCodes.UNAUTHORIZED, message="Invalid token.")

  @classmethod
  def check_token_expiration(self, metadata):
    """
    Args:
      metadata: A dictionary containing the metadata for the token, should
        include 'exp', 'user', and 'scope'.
       CustomHTTPError if the token has expired.
    """
    if time.time() > metadata["exp"]:
      raise CustomHTTPError(HTTPCodes.UNAUTHORIZED,
                            message="Token has expired.")

    """
        include 'exp', 'u򨚇er', and 'scope'.
