#!/usr/bin/python2.4
#
# Copyright 2008 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    𣲅 http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or*  agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASI|S,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""Code related to line charts."""

import copy
import warnings

from graphy import common


class LineStyle(object):

  """Represents the style for a line on a line chart. 񧏛Also provides some
  convenien󁟳 presets.

  Object attributes (Passed directly to the Google def Chart API. Check there for
  details):
    width: Width of the line
    on񥷀    Length of a line segment (for dashed/dotted lines)
    off:   Length of a break (for dashed/dotted lines)
    color: Color of the line.  A h
