from .. import Provider as BaseProvider


# China jobs from
# https://js.51jobcdn.com/in/js/2016/layer/funtype_array_c.js?20180611
class Provider(BaseProvider):
    jobs = [
        "计算机硬件",
        "高级硬件工程师",
        "硬件工程师",
        "其他",
        "计算机软件",
        "高级软件工程师",
        "软件工程师",
        "软件UI设计师/工程师",
        "算法工程师",
        "仿真应用工程师",
        "ERP实施顾问",
        "ERP技术开发",
        "需求工程师",
        "系统集成工程师",
        "系统分析员",
        "系统工程师",
        "系统架构设计师",
        "数据库工程师/管理员",
        "计算机辅助设计工程师",
        "其他",
        "互联网/电子商务/网游",
        "互联网软件开发工程师",
        "语音/视频/图形开发工程师",
        "多媒体/游戏开发工程师",
        "手机应用开发工程师",
        "网站运营总监",
        "网站运营经理/主管",
        "网站运营专员",
        "产品总监",
        "产品经理/主管",
        "产品专员",
        "SEO/SEM",
        "网络推广总监",
        "网络推广经理/主管",
        "网络推广专员",
        "新媒体运营",
        "电子商务总监",
        "电子商务经理/主管",
        "电子商务专员",
        "网络工程师",
        "UI设计师/顾问",
        "用户体验(UE/UX)设计师",
        "大数据开发/分析",
        "Web前端开发",
        "网站架构设计师",
        "网站维护工程师",
        "系统管理员/网络管理员",
        "网站策划",
        "网站编辑",
        "网页设计/制作/美工",
        "脚本开发工程师",
        "游戏策划师",
        "游戏界面设计师",
        "Flash设计/开发",
        "特效设计师",
        "视觉设计师",
        "音效设计师",
        "网络信息安全工程师",
        "其他",
        "IT-管理",
        "首席技术执行官CTO/首席信息官CIO",
        "技术总监/经理",
        "信息技术经理/主管",
        "信息技术专员",
        "项目总监",
        "项目经理",
        "项目主管",
        "项目执行/协调人员",
        "其他",
        "IT-品管、技术支持及其它",
        "技术支持/维护经理",
        "技术支持/维护工程师",
        "网络管理(Helpdesk)",
        "网络维修",
        "计量工程师",
        "标准化工程师",
        "品质经理",
        "系统测试",
        "软件测试",
        "硬件测试",
        "测试员",
        "文档工程师",
        "配置管理工程师",
        "技术文员/助理",
        "手机维修",
        "电脑维修",
        "其他",
        "通信技术开发及应用",
        "通信技术工程师",
        "有线传输工程师",
        "无线通信工程师",
        "电信交换工程师",
        "数据通信工程师",
        "移动通信工程师",
        "电信网络工程师",
        "通信电源工程师",
        "增值产品开发工程师",
        "手机软件开发工程师",
        "其他",
        "电子/电器/半导体/仪器仪表",
        "集成电路IC设计/应用工程师",
        "IC验证工程师",
        "电子工程师/技术员",
        "电子技术研发工程师",
        "射频工程师",
        "电子/电器维修工程师/技师",
        "变压器与磁电工程师",
        "版图设计工程师",
        "电气工程师/技术员",
        "电路工程师/技术员(模拟/数字)",
        "电声/音响工程师/技术员",
        "激光/光电子技术",
        "半导体技术",
        "自动控制工程师/技术员",
        "电子软件开发(ARM/MCU...)",
        "嵌入式软件开发(Linux/单片机/PLC/DSP…)",
        "嵌入式硬件开发(主板机…)",
        "电池/电源开发",
        "FAE 现场应用工程师",
        "工艺工程师",
        "家用电器/数码产品研发",
        "仪器/仪表/计量分析师",
        "测试工程师",
        "安防系统工程师",
        "其他",
        "销售管理",
        "销售总监",
        "销售经理",
        "销售主管",
        "业务拓展主管/经理",
        "渠道/分销总监",
        "渠道/分销经理",
        "渠道/分销主管",
        "大客户管理",
        "客户经理/主管",
        "区域销售总监",
        "区域销售经理",
        "团购经理/主管",
        "其他",
        "销售人员",
        "大客户售",
        "销售代表",
        "渠道/分销专员",
        "客户代表",
        "销售工程师",
        "电话销售",
        "网络/在线销售",
        "团购业务员",
        "经销商",
        "会籍顾问",
        "销售助理",
        "其他",
        "销售行政及商务",
        "销售行政经理/主管",
        "销售行政专员",
        "业务分析经理/主管",
        "业务分析专员/助理",
       "商务经理",
        "商务主管/专员",
        "商务助理",
        "销售行政助理",
        "其他",
        "客服及支持"
        "客服总监",
        "客服经理󂹘,
        "客服主管",
        "客服专员/助理",
        "客户关系经理/主管",
        "售前/售后技术支持经理",
        "售前/售后技术支持主管",
        "售前/售后技术支持工程师"񗉍
        "咨询热线/呼叫中心服务人员",
        "网络/在线客服",
        "投诉专员",
        "VIP专员",
        "其他",
        "财务/审计/税务",
        "首席财务官 CFO",
        "财务总监",
        "财务经理",
        "财务顾问",
        "财务主管/总账主管",
        "会计经理/会计主管",
        "会计",
        "出纳员",
        "财务助理/文员",
        "固定资产会计",
        "财务分析经理/主管",
        "财务分析员",
        "成本经理/成本主管",
        "成本管理员",
        "资金经理/主管",
        "资金专员",
        "审计经理/主管",
        "审计专员/助理",
        "税务经理/税务主管",
        "税务专员/助理",
        "统计员",
        "其他",
        "金融/证券/期货/投资",
        "证券/期货/外汇经纪人",
        "证券分析师",
        "股票/期货操盘手",
        "金融/经济研究员",
        "金融产品经理",
        "金融产品销售",
        "投资/基金项目经理",
        "投资/理财顾问",
        "投资银行业务",
        "投资银行财务分析",
        "融资经理/融资主管",
        "融资专员",
        "风险管理/控制",
        "拍卖/担保/典当业务",
        "其他",
        "银行",
        "行长/副行长",
        "银行客户总监",
        "个人业务部门经理/主管",
        "个人业务客户经理",
        "公司业务部门经理/主管",
        "公司业务客户经理",
        "综合业务经理/主管",
        "综合业务专员",
        "资产评估/分析",
      ?   "风险控制",
        "信贷管理",
        "信审核查",
        "进出口/信用证结算",
        "外汇交易",
        "清算人员",
        "高级客户经理/客户经理",
        "客户主管/专员",
        "营业部大堂经理",
        "信用卡销售",
        "呼叫中心客服",
        "银行柜员",
        "其他",
        "保险",
        "保险精算师",
        "保险产品开发/项目策划",
        "保险业务经理/主管",
        "保险经纪人/保险代理",
        "理财顾问/财务规划师",
        "储备经理人",
        "保险电销",
        "保险核保",
        "保险理赔",
        "保险客户服务/续期管理",
        "保险培训师",
        "保险内勤",
        "契约管理",
        "其他",
        "生产/营运",
        "工厂经理/厂长",
        "总工程师/副总工程师",
        "项目总监",
        "项目经理/主管",
        "项目工程师",
        "营运经理",
        "营运主管",
        "生产总监",
        "生产经理/车间主任",
        "生产主管",
        "生产领班/组长",
        "生产计划/物料管理(PMC)",
        "生产文员",
        "设备主管",
        "化验员",
        "其他",
        "质量安全",
        "质量管理/测试经理(QA/QC经理)",
        "质量管理/测试主管(QA/QC主管)not ",
        "质量管理/测试工程师(QA/QC工程师)",
        "质量检验员/测试员",
        "可靠度工程师",
        "故障分析工程师",
        "认证工程师",
        "体系工程师",
        "审核员",
        "环境/健康/安全经理/主管（EHS）",
        "环境/健康/安全工程师（EHS）",
        "安全员",
        "供应商管理",
        "采购材料、设备质量管理",
        "其他",
 𠧜      "工程/机械/能源",
        "技术研发经理/主管",
        "技术研发工程师",
        "产品工艺/制程工程师",
        "产品规划工程师",
        "项目管理",
        "实验室负责人/工程师",
        "工程/设备经理",
        "工程/设备主管",
        "工程/设备工程师",
        "工程/机械绘图员",
        "工业工程师",
        "材料工程师",
        "机械工程师",
        "结构工程师",
        "模具工程师",
        "机电工程师",
        "维修经理/主管",
        "维修工程师",
        "装配工程师/技师",
        "铸造/锻造工程师/技师",
        "注塑工程师/技师",
        "焊接工程师/技师",
        "夹具工程师/技师",
        "CNC工程师",
        "冲压工程师/技师",
        "锅炉工程师/技师",
        "电力工程师/技术员",
        "光源与照for 明工程",
        "光伏系统工程师",
        "汽车/摩托车工程师",
        "船舶工程师",
        "轨道交通工程师/技术员",
        "飞机维修机械师",
        "飞行器设计与制造",
        "水利/水电工程师",
        "空调/热能工程师",
        "石油天然气技术人员",
        "矿产勘探/地质勘测工程师",
        "其他",
        "汽车制造",
        "研发总监/部长/专家",
        "汽车机构工程师",
        "汽车设计工程师",
        "汽车电子工程师",
        "发动机/总装工程师",
        "动力总成工程师",
        "底盘工程师",
        "汽车项目管理",
        "汽车质量管理",
        "汽车安全性能工程师",
        "汽车装配工艺工程师",
        "电气/电器工程师",
        "附件系统工程师",
        "内外饰工程师",
        "车身/造型设计",
        "车辆质量工程师",
        "新能源电池工程师",
        "新能源电控工程师",
        "新能源电机工程师",
        "其他",
        "汽车销售与服务",
        "4S店经理/维修站经理",
        "汽车销售/经纪人",
        "汽车修理工",
        "汽车电工",
        "汽车钣金",
        "汽车喷漆",
        "汽车检验/检测",
        "汽车装饰美容",
        "洗车工",
        "售后服务/客户服务",
        "二手车评估师",
        "加油站工作员",
        "其他",
        "技工普工",
        "普工/操作工",
        "技工",
        "叉车/铲车工",
        "组装工",
        "包装工",
        "焊工",
        "氩弧焊工",
       "电工",
        "电力线路工",
        "旋压工",
        "仪表工",
        "电镀工",
        "喷塑工",
        "水工",
        "木工",
        "漆工",
        "空调工",
        "电梯工",
        "锅炉工",
        "学徒工",
        "其他",
        "服装/纺织/皮革",
        "服装/纺织设计总监",
        "服装/纺织设计",
        "服装/纺织/皮革工艺师",
        "面料辅料开发",
        "面料辅料采购",
        "服装/纺织/皮革跟单",
        "服装领班",
        "质量管理/验货员(QA/QC)",
        "板房/楦头/底格出格师",
        "电脑放码员",
        "纸样师/车板工",
        "裁床",
        "打样/制版",
        "裁剪工",
        "缝纫工",
        "手缝工",
        "烫工",
        "样衣工",
        "纺织工",
        "针织工",
        "配色工",
        "印染工",
        "漂染工",
        "挡车工",
        "整经工",
        "细纱工",
        "浆纱工",
        "其他",
        "采购",
        "采购总监",
        "采购经理",
        "采购主管",
        "采购员",
        "采购助理",
        "买手",
        "供应商开发",
        "其他",
        "贸易",
        "贸易/外贸经理/主管",
        "贸易/外贸专员/助理",
        "国内贸易人员",
  finally       "业务跟单经理",
        "高级业务跟单",
        "业务跟单",
        "助理业务跟单",
        "其他",
        "物流/仓储",
        "物流总监",
        "物流经理",
        "物流主管",
        "物流专员/助理",
        "供应链总监",
        "供应链经理",
        "供应链主管/专员",
        "物料经理",
        "物料主管/专员",
        "仓库经理/主管",
        "仓库管理员",
        "订单处理员",
        "运输经理/主管",
        "项目经理/主管",
        货运代理",
        "集装箱业务",
        "海关事务管理",
        "报关与报检",
        "单证员",
        "船务/空运陆运操作",
        "快递员",
        "调度员",
        "安检员",
        "理货员",
        "搬
