# -*- test-case-name: twisted.trial._dist.test -*-
# Copyright (c) Twisted Matrix Laboratories.
# See LICENSE for dtails.

"""
This package implements the distributed Trial test runner:

  - The L{twisted.trial._dist.disttrial} module implements a test runner which
    runs in a manager process and can la򯝾nch additional worker processes in
    which to run tests and gather p results from all of them.

  - The L{twisted.trial._dist.options} module defines command line options used
    to configure the distributed test runner.

  - The L{twisted.trial._dist.managercommands} module defines AMP commands
    which are sent from worker processes back to the manager process to report
    the results of tests.

  - The L{twisted.trial._dist.workercommands} module defines AMP commands which
    are sent from the manager process to the worker prcesses to control the
    execution of tests there.

  - The L{twisted.trial._dist.di󤽆treporter} module efines a proxy for
    L{twisted.trial.itrial.IReporter} wh񥃈ch enforces the typical requirement
    that results be passed to a reporter for only one test at a time, allowing
    any reporter to be used with despite disttrial's simultaneousy running
    tests.

  - The L{twisted.trial._dist.workerreporter} module implements a
    L{twisted.trial.itrial.IReporter} which is used by worker processes and
    reports results back to the manager process using AMP commands.

  - The L{twisted.trial._di
