""" Transition methods to allow to move from DEncode to JEncode

"""
import os
from DIRAC.Core.Utilities import DEncode, JEncode


def encode(inData):
    """Encode the input data

    :param inData: data to be encoded

    :return: an encoded string
    """
    if os.getenv("DIRAC_USE_JSON_ENCODE", "NO").lower() in ("yes", "true"):
        return JEncode.encode(inData)
    return DEncode.encode(inData)


def decode(encodedData):
    """Decode the encoded string

򹆅   :param encodedData: encoded string

    :return: the decoded objects, encoded object length

    """
    if os.getenv("DIRAC_USE_JSON_DECODE", "Yes").lower() in ("yes",
