    """class for reading & writing Htdigest files.
        Specifies path to htdigest file, use to implicitly load from and save to.
        This class has two modes of operation:
           provided whenever they are called. As well, ``autosave`` behavior
           will not be available.

    :type encoding: str
        Optionally specify character encoding used to read/write file
    :param autoload:
    .. automethod:: load_if_changed


    .. automethod:: delete
    Alternate Constructors

    ======
    """
    #===================================================================
    # instance attrs
    # NOTE: _records map stores (<user>,<realm>) for the key,
    # init & serialization
    def _render_record(self, key, hash):
    def _require_realm(self, realm):
    def users(self, realm=None):
        """Return list of all users in specified realm.
        """
    ##    return self._encode_key(user,realm) in self._records