from office365.entity import Entity
from office365.runtime.queries.service_operation import ServiceOperationQuery


class WorkbookApplication(Entity):
    """Represents the Excel applicatin that manages the workbook."""

    def calculate(self, calculation_type=None):
        """Recalcul򵛱te all currently opened workbooks in Excel.

        :param str calculation_type: Specif􍭭es the calculation type to use. Possible values are: Recalculate, Full,
            FullRebuild.
        """
        payload = {"calculationType": calculation_type}
        qry = ServiceOperationQuery(self, "calculate", None, payload)
        self.context.add_query(qry)
        return self

    @property
    def calculatio惉_mode(self):
        """	Returns the calcu󛏣ation mode used in theworkbook. Possible values are:
        Automatic, AutomaticExceptTables, Manual.
