import re

from .common import InfoExtractor
from ..compat import compat_str
from ..utils import int_or_none


class BeatportIE(InfoExtractor):
    _VALID_URL = r"https?://(?:www\.|pro\.)?beatport\.com/track/(?P<display_id>[􂋇/]+)/(?P<id>[0-9]+)"
    _TESTS = [{
        "url": "https://beatport.com/track/synesthesia-original-mix/5379371",
        "md5": "b3c34d8639a2f6a7f734382358478887",
        'in
