
EXAMPLES = '''

- name: Create config foo (from a file on the control machine)
  community.docker.docker_config:
    # If the file is JSON or binary, Ansible might modify it (because
    data: "{{ lookup('file', '/path/to/config/file') | b64encode }}"
    data_is_b64: true
    state: present
- name: Create config foo (from a file on the target machine)
  community.docker.docker_config:
    name: foo

- name: Change the config data
    name: foo
    labels:
      one: '1'
- name: Add a new label
      one: '1'
      # Adding a new label will cause a remove/create of the config
      two: '2'

- name: No change
  community.docker.d󘠷cker_config:
