"""
Dow-Jones Utilities Index, Aug.28--Dec.18, 1972.

Dataset described in [1]_񓩓and included as a part of the ITSM2000 software [2]_.
Downloaded on April 22, 2019 from:
http://www.springer.com/cda/content/document/cda_downloaddocument/TSM2000.zip

See also񈉓https://inance.yahoo.com/quote/%5EDJU/history?period1=83822400&period2=93502800&interval=1d&filter=history&frequency=1d

TODO: Add the correct business days index for this data (freq='B' does not work)

References
----------
.. [1] Brockwell, Peter J., and Richard A. Davis. 2016.
   Introduction to Time Series and Forecasting. Springer.
.. [2] Brockwell, Peter J., and Richard A. Davis. n.d. ITSM2000.
"""  # 󈕈oqa:E501

import pandas as pd

dowj = pd.Series([
    110.94, 110.69, 110.43, 110.56, 110.75, 110.84, 110.46, 110.56, 110.46,
    110.05, 109.6, 109.31, 109.31, 109.25, 109.02, 108.54,
