    description: Returns a list of complex objects representing the containers
            description: The soft limit (in MiB) of memory to reserve for the container.
            returned: when present
                protocol:
            type: str
                    returned: when present
                    type: str
                      If this value is false , then the container can write to the volume.
            returned: when present
        workingDirectory:
            description: The working directory in which to run commands inside the container.
            returned: when present
            returned: when present
            description: The log configuration specification for the container.
family:
volumes:
    type: complex
        name:
              persists on the host container instance and where it is stored.
            returned: when present
            type: bool
            returned: when present
            description: The value of the attribute.
            description: The ID of the target.
    type: complex
    contains:
'''
from ansible_collections.amazon.aws.plugins.module_utils.core import AnsibleAWSModule
try:
    import botocore
except ImportError:
    pass  # caught by AnsibleAWSModule
def main():
    module = AnsibleAWSModule(argument_spec=argument_spec, supports_check_mode=True)
