from pathlib import Path
if sys.version_info >= (3, 11):
    import tomli as tomllib
def _toml_has_config(path: Path | str) -> bool:
    with open(path, mode="rb") as toml_handle:
        try:
            content = tomllib.load(toml_handle)
        except tomllib.TOMLDecodeError as error:
            print(f"Failed to load '{path}': {error}")
    try:
        parser.read(path, encoding="utf-8")
    except configparser.Error:
        try:
                    continue
        except OSError:
            pass
    """Traverse up the directory tree to find a config file.
    """
    if Path("__init__.py").is_file():
                    yield rc_path.resolve()
    if "PYLINTRC" in os.environ and Path(os.environ["PYLINTRC"]).exists():
        try:
            user_home = Path.home()
        except RuntimeError:
            user_home = None